c     subroutine nijm(xfm,vc,vsig,vten,vso,vso2,fi,dfi,isoiso)
c-----------------------------------------------------------------
c     version a la nnprogs.dec04, december 2004 !!
c     in analogy with routine nnprogs.04/leideman.f
c !!! in construction !!
c     ******************************************************************
C     *                                                                *
C     *    ESC04: OSAKA-VERSION DECEMBER 2004                          *
C     *                                                                *
C     *    MODELS:                                                     *
C     *    IMODEL = 1 : Soft-Core MODEL PRD17  = NN-model              *
C     *                                                                *
C     *    IMODEL = 5 : Soft-Core MODEL ESC04  = NN-model              *
C     *                                                                *
C     *    IMODEL = 6 : Soft-Core MODEL ESC04A = NN+YN-model           *
C     *    IMODEL = 7 : Soft-Core MODEL ESC04B      ,,                 *
C     *    IMODEL = 8 : Soft-Core MODEL ESC04C      ,,                 *
C     *    IMODEL = 9 : Soft-Core MODEL ESC04D      ,,                 *
C     *                                                                *
C     ******************************************************************
c-----------------------------------------------------------------
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
c     NEW: CHOOSE imodel=5: NN-model with low-energy NN,
c                           Deuteron etc. (NN-paper 2005)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
c          ESC04a-ESC04d : imodel=6,7,8,9 (NN+YN-paper 2005)
c-----------------------------------------------------------------

c-----------------------------------------------------------------
c     example calling program for NNPOT.04:
c-----------------------------------------------------------------
      implicit real*8(a-h,o-z)
      common/vpot/vc0,vsig0,vten0,vso0,vso20,fi0,dfi0,ddfi,
     . fis,dfis,ddfis,fit,dfit,ddfit,fiso,dfiso,ddfiso
c-----------------------------------------------------------------
      dimension kstpd(4),xa(100)
**    data nstpd/2/,kstpd/20,40,100,0/,x0/0d0/,h/0.03d0/,xmin/0d0/
      data nstpd/4/,kstpd/30,70,120,200/,x0/0d0/,h/0.01d0/,xmin/0d0/
     .,pim/138.041d0/,hbarc/197.327053d0/

c-----------------------------------------------------------------
      open(6,file='outpot.data')
c-----------------------------------------------------------------

c-----------------------------------------------------------------
c     INPUT PARAMETERS: imodel, ispin, nchan, igreen, xfm

      imodel=5
c-----------------------------------------------------------------
c     valid, i.e. physical, combination nchan and ispin:
      isoiso = 1
      ispin=isoiso
c     channel:  (nchan=1 = pp)
c     channel:  (nchan=2 = np)
      nchan=1
c     no green transformation:
      igreen=0
c     no printing:
      ns=0
c     no extensive printing:
**    ns=1
c-----------------------------------------------------------------
c     distance(s):
*     xfm = 0.01d0
*     xfm = 0.47173d0

*     call nnpot04(imodel,xfm,nchan,ispin,igreen,ns)

*     print 10, xfm,vc0,vsig0,vten0,vso0,vso20,fi0,dfi0,ddfi,
*    .fis,dfis,ddfis,fit,dfit,ddfit,fiso,dfiso,ddfiso
 10   format(' xfm=',f10.3,' vc  =',d10.3,' vsig =',d10.3,/,
     .15x,' vten=',d10.3,' vso  =',d10.3,' vso2  =',d10.3,/,
     .15x,' fi  =',d10.3,' dfi  =',d10.3,' ddfi  =',d10.3,/,
     .15x,' fis =',d10.3,' dfis =',d10.3,' ddfis =',d10.3,/,
     .15x,' fit =',d10.3,' dfit =',d10.3,' ddfit =',d10.3,/,
     .15x,' fiso=',d10.3,' dfiso=',d10.3,' ddfiso=',d10.3,/)

c-----------------------------------------------------------------
c     for test nnpot.dec04, comparison with bbprogs.dec04:
      nnmax = 40 
      if(x0.eq.0d0) nnmin=2
      if(x0.ne.0d0) nnmin=1
      do 1 i=nnmin,nnmax
      if(i.eq.nnmin) then
      x = x0 + h
      else
      hh=h
      do 71 ii=1,nstpd
   71 if(i.gt.kstpd(ii)) hh=2*hh
      x = xmin + hh
      endif
      xmin=x
    1 xa(i)=x
      do 2 i=nnmin,nnmax,5
      xfm = xa(i)*hbarc/pim
      call nnpot04(imodel,xfm,nchan,ispin,igreen,ns)
      print 20, i,xfm,vc0,vsig0,vten0,vso0,vso20,fi0,dfi0,ddfi,
     .fis,dfis,ddfis,fit,dfit,ddfit,fiso,dfiso,ddfiso
    2 continue
 20   format(i3,' xfm=',f7.3,' vc   =',d10.3,' vsig =',d10.3,
     .' vten  =',d10.3,/,
     .15x,' vso  =',d10.3,' vso2 =',d10.3,/,
     .15x,' fi   =',d10.3,' dfi  =',d10.3,' ddfi  =',d10.3,/,
     .15x,' fis  =',d10.3,' dfis =',d10.3,' ddfis =',d10.3,/,
     .15x,' fit  =',d10.3,' dfit =',d10.3,' ddfit =',d10.3,/,
     .15x,' fiso =',d10.3,' dfiso=',d10.3,' ddfiso=',d10.3,/)
c-----------------------------------------------------------------

      stop   
      end 

